Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
DANGERR_INFO Struct Reference

`#include <stopper.h>`

List of all members.

## Public Member Functions

| DANGERR_INFO ()
| DANGERR_INFO (int b, int e, bool d, bool n)

## Public Attributes

int | begin
int | end
bool | dangerous
bool | correct_is_ngram

## Detailed Description

Definition at line 35 of file stopper.h.

## Constructor & Destructor Documentation

DANGERR_INFO::DANGERR_INFO | ( |  | ) |

inline

Definition at line 36 of file stopper.h.

:
begin(-1), end(-1), dangerous(false), correct_is_ngram(false) {}

DANGERR_INFO::DANGERR_INFO | ( | int | b,
|  | int | e,
|  | bool | d,
|  | bool | n
| ) |  |

inline

Definition at line 38 of file stopper.h.

:
begin(b), end(e), dangerous(d), correct_is_ngram(n) {}

## Member Data Documentation

int DANGERR_INFO::begin

Definition at line 40 of file stopper.h.

bool DANGERR_INFO::correct_is_ngram

Definition at line 43 of file stopper.h.

bool DANGERR_INFO::dangerous

Definition at line 42 of file stopper.h.

int DANGERR_INFO::end

Definition at line 41 of file stopper.h.

The documentation for this struct was generated from the following file:

- /mnt/data/src/tesseract-ocr/dict/stopper.h